This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 98079 - nhfsgraph needs "graph" and "psplot" commands which are not available
nhfsgraph needs "graph" and "psplot" commands which are not available
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-25 23:04 EDT by Ben Levenson
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-10 12:47:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Levenson 2003-06-25 23:04:37 EDT
Description of problem:
this script is included with nfs-utils.
it calls 2 commands which are not available on a full RHL install:
graph and psplot

#!/bin/sh
#
# @(#)nhfsgraph.sh 1.3 89/07/07 Copyright (c) 1989, Legato Systems, Inc.
#
# See DISCLAIMER file for restrictions
#
                                                                                
#
# Usage: nhfsgraph <graphfile> ...
<snip>
LABEL="x=Load (calls/sec) y=Response (msec/call)"
                                                                                
cat $* \
    | graph -b -u .1 -h 1.2 -g 2 -l "$LABEL" -x 10 80 10 | psplot


Version-Release number of selected component (if applicable):
nfs-utils-1.0.1-2.9

Steps to Reproduce:
1. nhfsgraph 

Actual results:
/usr/sbin/nhfsgraph: line 23: graph: command not found
/usr/sbin/nhfsgraph: line 23: psplot: command not found

Expected results:
no errors
Comment 1 Ben Levenson 2006-05-10 12:47:25 EDT
(bugzilla housekeeping)
closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.